%define perlver 5.8.8

%global momorel 2
Summary: GNUpod, Manage your iPod
Name: GNUpod
Version: 0.98.3
Release: %{momorel}m
License: GPL
Group: 	Applications/Multimedia
URL: http://www.gnu.org/software/gnupod/
%NoSource 0 http://savannah.gnu.org/download/gnupod/gnupod-%{version}.tgz a2db678aa2098a5b019fc3e4dc380afc
Patch0: momonga-GNUpod-0.98.patch
Patch1: momonga-GNUpod-0.98-info.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl
BuildPreReq: perl-MP3-Info
BuildPreReq: perl-XML-Parser
BuildPreReq: perl-Getopt-Mixed
BuildPreReq: perl-Unicode-String
BuildPreReq: perl-XML-Simple
Requires: rescan-scsi-bus
BuildArch: noarch
PreReq: info

%description
GNUpod, Manage your iPod

# Provide perl-specific find-{provides,requires}.
%global __find_provides /usr/lib/rpm/find-provides.perl
%global __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n gnupod-%{version}
%patch0 -p1
%patch1 -p1

# chmod 755 doc/CVS

%build
%configure

%clean
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_infodir}
mkdir -p %{buildroot}%{perl_archlib}
mkdir -p %{buildroot}%{_libdir}/perl5/site_perl/%{perlver}/%{_arch}-%{_os}-thread-multi/GNUpod
mkdir -p %{buildroot}%{perl_sitelib}/GNUpod

%makeinstall PERL_INSTALL_ROOT="%{buildroot}"
#mv %{buildroot}%{perl_archlib}/GNUpod/*.pm %{buildroot}%{perl_sitelib}/GNUpod/
mv %{buildroot}%{_libdir}/perl5/site_perl/%{perlver}/%{_arch}-%{_os}-thread-multi/GNUpod/*.pm %{buildroot}%{perl_sitelib}/GNUpod/

# removing unwanting files.
rm -rf %{buildroot}/usr/share/info/dir
 
%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gnupod.info

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/gnupod.info
fi

%files
%defattr(-,root,root)
%{_bindir}/*
%{perl_sitelib}/GNUpod/*
%{_infodir}/*.info*
%doc AUTHORS COPYING TODO CHANGES
%doc doc/*
%{_datadir}/man/man1/*


%changelog
* Sun Jun 11 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.98.3-2m)
- modify %%files

* Thu Feb 9 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.98.3-1m)
- rebuild against perl-5.8.8

* Mon Jun 13 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.98-2m)
- rebuilt against perl-5.8.7

* Wed Apr 13 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.98-1m)
- update 0.98

* Sun Aug 22 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.29-0.1.7m)
- rebuild against perl-5.8.5

* Mon Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (0.29-0.1.6m)
- revised spec for enabling rpm 4.2.

* Sun Nov 30 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.29-0.1.5m)
- move iPod.pm to %%{perl_sitelib} because this file is architecture independent

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.29-0.1.4m)
- rebuild against perl-5.8.2

* Sat Nov  8 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.29-0.1.3m)
- rebuild against perl-5.8.1

* Sun Oct 19 2003 KIMITAKE Shibata <siva@momonga-linux.org>
- (0.29-0.1.2m)
- Change install-info dir

* Sat Oct 18 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.29-0.1.1m)
- update to 0.29-rc1
- install info file

* Wed Feb  5 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.26-3m)
- remove  Patch1: momonga-GNUpod-0.26-vfat.patch
  please mount ipod with shortname=winnt

* Fri Jan 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.26-2m)
- add Requires: rescan-scsi-bus

* Fri Jan 24 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.26-1m)
- import to momonga
